#include <stdio.h>

main()                  /* zeichenverkehrte Ausgabe von Zeilen */
{
    char zeil[512];
    int i;

    for(;;)  {                          /* unendliche Schleife */
        for(i=0; i<512; i++)  {
            switch(zeil[i] = getchar())  {
                case '\n': break;               /* Ende switch */
                case EOF : goto ende;     /* nur hier sinnvoll */
                default  : continue;        /* Fortsetzung for */
            }
            break;                                 /* Ende for */
        }
        while(--i >= 0)
            putchar(zeil[i]);
        putchar('\n');
    }
    ende: ;
}
